Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update form category

PUT/administration/form-categories/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Request body
requiredapplication/json
descriptionobject | null
iconstring
namestring
translationsFormCategoryTranslationRequestDto[]
Show properties
Array of FormCategoryTranslationRequestDto
descriptionobject | null
languagestringrequired
nameobject | null
Responses
200
successbooleanrequired

Operation success flag

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT "https://leadtime.app/api/public/administration/form-categories/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": {},
  "icon": "string",
  "name": "string",
  "translations": [
    {
      "description": {},
      "language": "en",
      "name": {}
    }
  ]
}'
Response
{
  "success": true
}